%define upstream_name       Test-Pod
%define upstream_version 1.45

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check for POD errors in files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.300.0
BuildRequires: perl(Pod::Simple) >= 3.50.0
BuildRequires: perl(Test::Builder::Tester) >= 1.20.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl-Pod-Simple >= 3.07
BuildArch:  noarch

%description 
Check POD files for errors or warnings in a test file, using Pod::Simple to do
the heavy lifting.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.json META.yml README
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.450.0-2.mga3
+ Revision: 373679
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 11 2011 jquelin <jquelin> 1.450.0-1.mga1
+ Revision: 68184
- update to 1.45

* Wed Jan 19 2011 jquelin <jquelin> 1.440.0-3.mga1
+ Revision: 24204
- rebuild
- fix specs

* Wed Jan 12 2011 jquelin <jquelin> 1.440.0-2.mga1
+ Revision: 7460
- imported package perl-Test-Pod

